Index: trunk/cfg/encoder_intra_main.cfg
===================================================================
--- trunk/cfg/encoder_intra_main.cfg	(revision 589)
+++ trunk/cfg/encoder_intra_main.cfg	(revision 595)
@@ -5,5 +5,4 @@
 #======== Profile/Level ================
 Profile                       : main
-Level                         : 6.2
 
 #======== Unit definition ================
@@ -98,8 +97,6 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-SEIpictureDigest               : 1
-                                                       
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: trunk/cfg/encoder_intra_main10.cfg
===================================================================
--- trunk/cfg/encoder_intra_main10.cfg	(revision 589)
+++ trunk/cfg/encoder_intra_main10.cfg	(revision 595)
@@ -5,5 +5,4 @@
 #======== Profile/Level ================
 Profile                       : main10
-Level                         : 6.2
 
 #======== Unit definition ================
@@ -98,5 +97,5 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
                                                         
Index: trunk/cfg/encoder_lowdelay_P_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 589)
+++ trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 595)
@@ -5,5 +5,4 @@
 #======== Profile/Level ================
 Profile                       : main
-Level                         : 6.2
 
 #======== Unit definition ================
@@ -22,9 +21,9 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
-Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0                                           0
-Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1         0
-Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1         0
-Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1         0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
+Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
+Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
+Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
+Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
 
 #=========== Motion Search =============
@@ -103,7 +102,14 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-SEIpictureDigest                    : 1
+#============ Rate Control ======================
+#RateControl                         : 0                # Rate control: enable rate control
+#TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+#KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
+#LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+#RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+#InitialQP                           : 0                # Rate control: initial QP
+#RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_lowdelay_P_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 589)
+++ trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 595)
@@ -5,5 +5,4 @@
 #======== Profile/Level ================
 Profile                       : main10
-Level                         : 6.2
 
 #======== Unit definition ================
@@ -22,9 +21,9 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
-Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0                                           0
-Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1         0
-Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1         0
-Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1         0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
+Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
+Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
+Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
+Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
 
 #=========== Motion Search =============
@@ -103,5 +102,14 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+
+#============ Rate Control ======================
+#RateControl                         : 0                # Rate control: enable rate control
+#TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+#KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
+#LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+#RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+#InitialQP                           : 0                # Rate control: initial QP
+#RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_lowdelay_he10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_he10.cfg	(revision 589)
+++ trunk/cfg/encoder_lowdelay_he10.cfg	(revision 595)
@@ -99,5 +99,5 @@
 LosslessCuEnabled                   : 0                # 1: Set "qpprime_y_zero_transquant_bypass_flag=1" and enable the lossless mode as well as the RD-based mode selection process.
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_lowdelay_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main.cfg	(revision 589)
+++ trunk/cfg/encoder_lowdelay_main.cfg	(revision 595)
@@ -5,5 +5,4 @@
 #======== Profile/Level ================
 Profile                       : main
-Level                         : 6.2
 
 #======== Unit definition ================
@@ -22,9 +21,9 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
-Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0                                           0
-Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1         0
-Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1         0
-Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1         0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
+Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
+Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
+Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
 
 #=========== Motion Search =============
@@ -103,7 +102,14 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-SEIpictureDigest                    : 1
+#============ Rate Control ======================
+#RateControl                         : 0                # Rate control: enable rate control
+#TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+#KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
+#LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+#RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+#InitialQP                           : 0                # Rate control: initial QP
+#RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main10.cfg	(revision 589)
+++ trunk/cfg/encoder_lowdelay_main10.cfg	(revision 595)
@@ -5,5 +5,4 @@
 #======== Profile/Level ================
 Profile                       : main10
-Level                         : 6.2
 
 #======== Unit definition ================
@@ -22,9 +21,9 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
-Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0                                           0
-Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1         0
-Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1         0
-Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1         0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
+Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
+Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
+Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
 
 #=========== Motion Search =============
@@ -103,5 +102,14 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+
+#============ Rate Control ======================
+#RateControl                         : 0                # Rate control: enable rate control
+#TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+#KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
+#LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+#RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+#InitialQP                           : 0                # Rate control: initial QP
+#RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_randomaccess_main.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main.cfg	(revision 589)
+++ trunk/cfg/encoder_randomaccess_main.cfg	(revision 595)
@@ -5,5 +5,4 @@
 #======== Profile/Level ================
 Profile                       : main
-Level                         : 6.2
 
 #======== Unit definition ================
@@ -22,13 +21,14 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
-Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0                                            0
-Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1         0
-Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1           0
-Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1         0
-Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0         0
-Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0         0
-Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1         0
-Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0         0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
+Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
+Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
+Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
+Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
+Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
+Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
+Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+
 #=========== Motion Search =============
 FastSearch                    : 1           # 0:Full search  1:TZ search
@@ -106,7 +106,14 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-SEIpictureDigest                    : 1
+#============ Rate Control ======================
+#RateControl                         : 0                # Rate control: enable rate control
+#TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+#KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
+#LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+#RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+#InitialQP                           : 0                # Rate control: initial QP
+#RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main10.cfg	(revision 589)
+++ trunk/cfg/encoder_randomaccess_main10.cfg	(revision 595)
@@ -5,5 +5,4 @@
 #======== Profile/Level ================
 Profile                       : main10
-Level                         : 6.2
 
 #======== Unit definition ================
@@ -22,13 +21,14 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs #UseExtUsedByCurr  ExtUsedByCurr(for each ref pic)
-Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0                                            0
-Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1         0
-Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1           0
-Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1         0
-Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0         0
-Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0         0
-Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1         0
-Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0         0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
+Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
+Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
+Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
+Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
+Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
+Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
+Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+
 #=========== Motion Search =============
 FastSearch                    : 1           # 0:Full search  1:TZ search
@@ -106,5 +106,14 @@
 #============ Lossless ================
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
-CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+CUTransquantBypassFlagForce: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+
+#============ Rate Control ======================
+#RateControl                         : 0                # Rate control: enable rate control
+#TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+#KeepHierarchicalBit                 : 2                # Rate control: 0: equal bit allocation; 1: fixed ratio bit allocation; 2: adaptive ratio bit allocation
+#LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+#RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+#InitialQP                           : 0                # Rate control: initial QP
+#RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/layers.cfg
===================================================================
--- trunk/cfg/layers.cfg	(revision 589)
+++ trunk/cfg/layers.cfg	(revision 595)
@@ -10,4 +10,5 @@
 CrossLayerIrapAlignFlag       : 1           # Align IRAP across layers
 InterLayerWeightedPred        : 0           # enable IL WP parameters estimation at encoder
+SEIpictureDigest              : 1
 
 #============= LAYER 0 ==================
Index: trunk/cfg/layers_avcbase.cfg
===================================================================
--- trunk/cfg/layers_avcbase.cfg	(revision 589)
+++ trunk/cfg/layers_avcbase.cfg	(revision 595)
@@ -7,4 +7,6 @@
 CrossLayerIrapAlignFlag       : 0           # Align IRAP across layers
 InterLayerWeightedPred        : 0           # enable IL WP parameters estimation at encoder
+SEIpictureDigest              : 1
+
 #============= LAYER 0 ==================
 QP0                           : 22
@@ -23,5 +25,5 @@
 #============= LAYER 1 ==================
 QP1                           : 20
-InternalBitDepth1             : 8           # codec operating bit-depth for layer 0
+InternalBitDepth1             : 8           # codec operating bit-depth for layer 1
 NumSamplePredRefLayers1       : 1           # number of sample pred reference layers
 SamplePredRefLayerIds1        : 0           # reference layer id
Index: trunk/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
+Level                         : 5
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
+Level                         : 5
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
+Level                         : 5
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 595)
@@ -1,4 +1,5 @@
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
+Level                         : 5
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 600         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 600         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 600         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 500         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 500         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 500         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 500         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 500         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 500         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4.1
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 240         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 595)
@@ -2,7 +2,8 @@
 FramesToBeEncoded             : 240         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4
 
 #======== File I/O ===============
-InputFile0                    : O:/Kimono1_960x540_24_zerophase_0.9pi.yuv
+InputFile0                    : Kimono1_960x540_24_zerophase_0.9pi.yuv
 FrameRate0                    : 24          # Frame Rate per second
 InputBitDepth0                : 8           # Input bitdepth for layer 0
@@ -14,5 +15,5 @@
 QP0                           : 22
 
-InputFile1                    : O:/Kimono1_1920x1080_24.yuv
+InputFile1                    : Kimono1_1920x1080_24.yuv
 FrameRate1                    : 24          # Frame Rate per second
 InputBitDepth1                : 8           # Input bitdepth for layer 1
Index: trunk/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 240         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 240         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 240         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 240         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 4
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 150         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 5
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 150         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 5
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 150         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 5
 
 #======== File I/O ===============
Index: trunk/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 589)
+++ trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 595)
@@ -2,4 +2,5 @@
 FramesToBeEncoded             : 150         # Number of frames to be coded
 PhaseAlignment                : 0           # Sample location alignment between layers (0: zero position aligned, 1: central position aligned)
+Level                         : 5
 
 #======== File I/O ===============
